Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225069 - Font objects in pdf files get cut at conversion to other formats
Summary: Font objects in pdf files get cut at conversion to other formats
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 15:47 UTC by Christian Mondrup
Modified: 2008-01-14 12:23 UTC (History)
0 users

Fixed In Version: F-8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-14 12:23:02 UTC


Attachments (Terms of Use)
Test case for demonstrating reported bug (deleted)
2007-01-28 15:47 UTC, Christian Mondrup
no flags Details
conversion of test pdf through ESP Ghostscript 815.02 (deleted)
2007-01-28 15:50 UTC, Christian Mondrup
no flags Details
conversion of test pdf through AFPL Ghostscript 8.54 (deleted)
2007-01-28 15:52 UTC, Christian Mondrup
no flags Details
New test case, input file for test (deleted)
2007-03-17 18:40 UTC, Christian Mondrup
no flags Details
result of applying gs-8.15 pdf2ps (deleted)
2007-03-17 18:43 UTC, Christian Mondrup
no flags Details
result of applying gs-8.54 pdf2ps (deleted)
2007-03-17 18:44 UTC, Christian Mondrup
no flags Details

Description Christian Mondrup 2007-01-28 15:47:32 UTC
Description of problem:

Certain pdf files generated by music typesetting utilities like Finale and 
Sibelius get big size objects belonging to embedded fonts cut off during 
conversion to other formats.

That happens for example when processing pdf files with gimp (pdf -> png) and 
printing out with cups

Version-Release number of selected component (if applicable):

ghostscript-8.15.2-1.1
gimp-2.2.13-1.fc5
cups-1.2.5-1.fc5.4

How reproducible:

The errors occurs consistently

Steps to Reproduce:
1. Open pdf file through gimp file open dialogue
2. The cut-off errors are immediately visible
3.
  
Actual results:

See attached pdf test case file La_Fille.pdf and page 1 converted to png 
format, La_Fille-preview-ESP-Ghostscript-815.02.png

Expected results:

See attached file La_Fille-preview-AFPL-Ghostscript-8.54.png

Additional info:

As demonstrated in the attached file, 
La_Fille-preview-AFPL-Ghostscript-8.54.png I am able to circumvent the problem 
in gimp context by setting the PATH and GS_LIB environments to point to 
AFPL-Ghostscript-8.54 built from source distribution and installed in 
a /usr/local subdirectory

Comment 1 Christian Mondrup 2007-01-28 15:47:50 UTC
Created attachment 146765 [details]
Test case for demonstrating reported bug

Comment 2 Christian Mondrup 2007-01-28 15:50:56 UTC
Created attachment 146766 [details]
conversion of test pdf through ESP Ghostscript 815.02

Comment 3 Christian Mondrup 2007-01-28 15:52:18 UTC
Created attachment 146767 [details]
conversion of test pdf through AFPL Ghostscript 8.54

Comment 4 Christian Mondrup 2007-01-28 16:18:36 UTC
I think I need to be a little more specific as to the observed conversion 
errors:

The test case is sheet music for piano, typical for the pdf scores I prepare 
daily for publishing in the non-commercial classical sheet music web site, 
http://icking-music-archive.org/ which I'm editing.

Near the left border of each staff (5 parallele lines) there are so-called 
clefs: a G-clef on the upper of 2 staves kept together by curled braces and an 
F-cleft on the lower staff. If you compare the clef shapes as found in the pdf 
file with those found in the png file converted through the ESP Ghostscript 
815.02 coming with FC5, then you'll notice that the clef symbols are cut off 
above, below and to the right, but not to the left. Contrarily in the png file 
convertd through AFPL Ghostscript 8.54 the G- and F-clefs are rendered 
correctly.

My test pdf file has been typeset with the commercial, high-end music 
typesetting utitily 'Finale 2005' using the type-1 music fonts

ZPCJVL+EngraverTextT                 TrueType     yes yes no       8  0
VFYNOX+EngraverFontSet               TrueType     yes yes no       6  0
XUCZVZ+EngraverFontSet               TrueType     yes yes yes     10  0

I have observed similar conversion error with pdf scores genereated from other 
music typesetting programs based on rendering music symbols through fonts.

While I, as indicated, am able to circumvent the ghostscript error in gimp 
context, I've until now not been able to figure out how to solve the problem 
in cups context.

I recently upgraded from FC5 where I did not encounter that problem

Comment 5 Tim Waugh 2007-02-05 14:10:54 UTC
Thanks for the detailed test case.

Can you confirm the last release of Fedora that worked correctly for you?  This
bug is filed against FC5, and the specific RPMs are from FC5, but your last
comment about upgrading has me confused.


Comment 6 Christian Mondrup 2007-02-05 14:19:18 UTC
(In reply to comment #5)
> Thanks for the detailed test case.
> 
> Can you confirm the last release of Fedora that worked correctly for you?  This
> bug is filed against FC5, and the specific RPMs are from FC5, but your last
> comment about upgrading has me confused.
 
Sorry for confusing you. What I should have written is that I recently upgraded
from FC 4 to FC 5 (not from FC 5 to FC 6). Unfortunately It is not possible for
me to check the problem in an FC 6 environment.


Comment 7 Christian Mondrup 2007-02-27 18:56:32 UTC
A few days ago I coincidentally became aware of the cups configuration file
/etc/foomatic/filter.conf. In that file I've explicitly set the variable gspath
to point to the gs binary as installed with AFPL-Ghostscript-8.54. As I had
hoped the reported problem with cutting off font shapes has been amended. But
now cups printing can't cope any more with documents in landscape format.
Nothing gets printed. This is a minor drawback, though. But I've got my
suspicion with ESP Ghostscript 815.02 confirmed.

Comment 8 Christian Mondrup 2007-03-17 18:40:53 UTC
Created attachment 150314 [details]
New test case, input file for test

A WIMA contribution which I received today reveals additional aspects of the
reported gs problems. Here follows the pdf score I received.

Comment 9 Christian Mondrup 2007-03-17 18:43:03 UTC
Created attachment 150316 [details]
result of applying gs-8.15 pdf2ps

Notice how full page width areas are cut out by pdf2ps processing.

Comment 10 Christian Mondrup 2007-03-17 18:44:45 UTC
Created attachment 150317 [details]
result of applying gs-8.54 pdf2ps

this file shows what the result of pdf2ps should be.

Comment 11 Tim Waugh 2008-01-14 12:23:02 UTC
Works correctly in Fedora 8.


Note You need to log in before you can comment on or make changes to this bug.